Package io.papermc.paper.event.entity

# Class EntityDamageItemEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
io.papermc.paper.event.entity.EntityDamageItemEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityDamageItemEvent extends EntityEvent implements Cancellable
Called when an item on or used by an entity takes durability damage as a result of being hit/used.

NOTE: default vanilla behaviour dictates that armor/tools picked up by mobs do not take damage (except via Thorns).

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityDamageItemEvent(@NotNull Entity entity, @NotNull ItemStack item, int damage)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDamage()`
Gets the amount of durability damage this item will be taking.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item being damaged.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setDamage(int damage)`
Sets the amount of durability damage this item will be taking.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityDamageItemEvent

public EntityDamageItemEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull ItemStack item, int damage)

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item being damaged.

Returns:
  the item

### getDamage

public int getDamage()
Gets the amount of durability damage this item will be taking.

Returns:
  durability change

### setDamage

public void setDamage(int damage)
Sets the amount of durability damage this item will be taking.

Parameters:
  `damage` - the damage amount to cause

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()